Julia compile failing with 403 Forbidden


#1

I was trying to build Julia from source on an Ubuntu 17.10 system and I’m seeing messages like the following when it tries to download various source packages:

Resolving cache.julialang.org (cache.julialang.org)… 34.207.146.72
Connecting to cache.julialang.org (cache.julialang.org)|34.207.146.72|:443… connected.
HTTP request sent, awaiting response… 301 MOVED PERMANENTLY
Location: https://julialang-s3.julialang.org/src/libunwind-1.1-julia2.tar.gz [following]
–2017-10-26 16:33:22-- https://julialang-s3.julialang.org/src/libunwind-1.1-julia2.tar.gz
Resolving julialang-s3.julialang.org (julialang-s3.julialang.org)… 151.101.54.49
Connecting to julialang-s3.julialang.org (julialang-s3.julialang.org)|151.101.54.49|:443… connected.
HTTP request sent, awaiting response… 403 Forbidden
2017-10-26 16:33:23 ERROR 403: Forbidden.

–2017-10-26 16:33:23-- https://julialang-s3.julialang.org/src/libunwind-1.1-julia2.tar.gz
Resolving julialang-s3.julialang.org (julialang-s3.julialang.org)… 151.101.54.49
Connecting to julialang-s3.julialang.org (julialang-s3.julialang.org)|151.101.54.49|:443… connected.
HTTP request sent, awaiting response… 403 Forbidden
2017-10-26 16:33:23 ERROR 403: Forbidden.

/home/phil/build/julia/deps/unwind.mk:7: recipe for target ‘/home/phil/build/julia/deps/srccache/libunwind-1.1-julia2.tar.gz’ failed
make[1]: *** [/home/phil/build/julia/deps/srccache/libunwind-1.1-julia2.tar.gz] Error 8
Makefile:85: recipe for target ‘julia-deps’ failed

anyone know what’s up?


ANN: Julia 0.6.1 is here!
#2

I have the same issue. Please check with your package manager that libunwind exists for your system (I am not using Ubuntu, but AFAIK, it should be something like apt-cache search libunwind), and if it exists, please install it with apt-get. Then you can put USE_SYSTEM_LIBUNWIND=1 into your Make.user file and proceed with the installation: make clean && make && make test && make install. I hope this helps.

EDIT. Unfortunately, this method fails later on in the build process, when testing against (UNW_VERSION_MAJOR == 1 && UNW_VERSION_MINOR > 1)), at least on my system.


#4

That seemed to work for me. Is this an issue that should be reported on the Julia github? I was able to build from source a month or so ago without problem.


#5

it might be that the corresponding libunwind library source cannot be retreived now. The community released v0.6.1 yesterday, and they might have bumped up the version on the dependency with respect to that you used a month ago.

I do not know — maybe we should either report on GitHub, or wait until some person from JuliaLang sees here.